#include <iostream>
using namespace std;
int main() 
{
  int n,p,v,t,pom;
  int a[100];
  cin >> n;
  for(int i=0;i<n;i++)
  {
    cin >> a[i];
    
  }
  t=0;
  p=0;
  while(t==0)
  {
    for(int i=p+1;i<n;i++)
    {
        if(a[i]>=a[p])
        {
            t++;
            pom=a[i];
            a[i]=a[p];
            a[p]=pom;
        }
    }
    p++;
    if(p==n+1) break;
  }
if(t==0)
{

  pom=a[n-1];
  a[n-1]=a[n-2];
  a[n-2]=pom;
}
for(int i=0;i<n;i++)
{
    cout << a[i] << " ";
}
return 0;
}